export interface Dictionary {
  label: string
  value: string | number
}

export function getNameByValue(value: string | number, list: Dictionary[]) {
  return list.find(item => item.value === value)?.label || value
}

// 旅程模板类型
export const tripTemplateTypeList = [
  { label: '自由旅程', value: '1' },
  { label: '固定旅程', value: '2' }
]

// 更新方式
export const updateStatusRuleList = [
  { label: '自动更新', value: '1' },
  { label: '手动更新', value: '2' }
]

export const dateUnitList = [
  { label: '天', value: 1 },
  { label: '周', value: 2 },
  { label: '月', value: 3 }
]

export const weekList = [
  { label: '周一', value: 1 },
  { label: '周二', value: 2 },
  { label: '周三', value: 3 },
  { label: '周四', value: 4 },
  { label: '周五', value: 5 },
  { label: '周六', value: 6 },
  { label: '周日', value: 7 }
]

export const stringConditionList = [
  { label: '等于', value: 1 },
  { label: '不等于', value: 2 },
  { label: '包含', value: 3 },
  { label: '不包含', value: 4 },
  { label: '空值', value: 5 },
  { label: '非空', value: 6 }
]

export const numberConditionList = [
  { label: '=', value: 1 },
  { label: '≠', value: 2 },
  { label: '>', value: 3 },
  { label: '≥', value: 4 },
  { label: '<', value: 5 },
  { label: '≤', value: 6 },
  { label: '区间', value: 7 },
  { label: '空值', value: 8 },
  { label: '非空', value: 9 }
]

export const dateConditionList = [
  { label: '绝对时间前后', value: 1 },
  { label: '绝对时间区间', value: 2 },
  { label: '相对时间点', value: 3 },
  { label: '在...天内', value: 4 }
]
